Bug 525456 - Missing dependency (font) for echomixer gui
Summary: Missing dependency (font) for echomixer gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-tools
Version: 10
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 13:36 UTC by Len
Modified: 2009-11-20 05:28 UTC (History)
1 user (show)

Fixed In Version: 1.0.20-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:28:11 UTC


Attachments (Terms of Use)

Description Len 2009-09-24 13:36:12 UTC
Description of problem:  Trying to launch echomixer from console gives the following error:  "Cannot find the font"


Version-Release number of selected component (if applicable):


How reproducible:  Always, after installing alsa-tools, unless xorg-x11-fonts-misc is installed (not installed by default, not included as dependency in alsa-tools, but needed).


Steps to Reproduce:
1.  Open a terminal
2.  Type 'echomixer'
  
Actual results:
"Cannot find the font"

Expected results:
Echomixer gui should launch

Additional info:  The error results from not having 'xorg-x11-fonts-misc' installed.  Including this font as a dependency in the alsa-tools package should resolve the problem.

The solution was revealed by looking in 'echomixer.c':

  gtk_init(&argc, &argv);
  fnt=gdk_font_load("-misc-fixed-medium-r-*-*-10-*-*-*-*-*-*-*");
  if (!fnt) {
    printf("Cannot find the font\n");
    exit(1);
  }

The "-misc-fixed-medium-r-*-*-10-*-*-*-*-*-*-*" font is part of xorg-x11-fonts-misc, which needs to be installed for the echomixer gui to appear.

Comment 1 Tim Jackson 2009-09-24 22:46:42 UTC
Has been fixed in newer Fedoras - see bug #503284

Comment 2 Bug Zapper 2009-11-18 12:15:31 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2009-11-18 13:48:22 UTC
alsa-tools-1.0.20-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/alsa-tools-1.0.20-2.fc10

Comment 4 Fedora Update System 2009-11-20 05:28:05 UTC
alsa-tools-1.0.20-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.